Package org.apache.storm.trident.tuple

# Class ConsList

java.lang.Object
java.util.AbstractCollection<E>
java.util.AbstractList<Object>
org.apache.storm.trident.tuple.ConsList

All Implemented Interfaces:
  `Iterable<Object>`, `Collection<Object>`, `List<Object>`

public class ConsList extends AbstractList<Object>

- ## Field Summary

  ### Fields inherited from class java.util.AbstractList

  `modCount`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConsList(Object o, List<Object> elems)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `add(int index, Object element)`
  `Object`
  `get(int i)`
  `int`
  `size()`

  ### Methods inherited from class java.util.AbstractList

  `add, addAll, clear, equals, hashCode, indexOf, iterator, lastIndexOf, listIterator, listIterator, remove, removeRange, set, subList`

  ### Methods inherited from class java.util.AbstractCollection

  `addAll, contains, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toArray, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.util.Collection

  `parallelStream, removeIf, stream, toArray`

  ### Methods inherited from interface java.lang.Iterable

  `forEach`

  ### Methods inherited from interface java.util.List

  `addAll, contains, containsAll, isEmpty, remove, removeAll, replaceAll, retainAll, sort, spliterator, toArray, toArray`

- ## Constructor Details

  - ### ConsList

    public ConsList(Object o, List<Object> elems)

- ## Method Details

  - ### get

    public Object get(int i)
    Specified by:
      `get` in interface `List<Object>`
    Specified by:
      `get` in class `AbstractList<Object>`

  - ### size

    public int size()
    Specified by:
      `size` in interface `Collection<Object>`
    Specified by:
      `size` in interface `List<Object>`
    Specified by:
      `size` in class `AbstractCollection<Object>`

  - ### add

    public void add(int index, Object element)
    Specified by:
      `add` in interface `List<Object>`
    Overrides:
      `add` in class `AbstractList<Object>`